Oracle Linux 7 : libreoffice (ELSA-2016-2579)

High Nessus Plugin ID 94701

Synopsis

The remote Oracle Linux host is missing one or more security updates.

Description

From Red Hat Security Advisory 2016:2579 :

An update for libreoffice is now available for Red Hat Enterprise Linux 7.

Red Hat Product Security has rated this update as having a security impact of Moderate. A Common Vulnerability Scoring System (CVSS) base score, which gives a detailed severity rating, is available for each vulnerability from the CVE link(s) in the References section.

LibreOffice is an open source, community-developed office productivity suite. It includes key desktop applications, such as a word processor, a spreadsheet, a presentation manager, a formula editor, and a drawing program. LibreOffice replaces OpenOffice and provides a similar but enhanced and extended office suite.

The following packages have been upgraded to a newer upstream version:
libreoffice (5.0.6.2). (BZ#1290148)

Security Fix(es) :

* Multiple flaws were found in the Lotus Word Pro (LWP) document format parser in LibreOffice. By tricking a user into opening a specially crafted LWP document, an attacker could possibly use this flaw to execute arbitrary code with the privileges of the user opening the file. (CVE-2016-0794, CVE-2016-0795)

Additional Changes :

For detailed information on changes in this release, see the Red Hat Enterprise Linux 7.3 Release Notes linked from the References section.

Solution

Update the affected libreoffice packages.

See Also

https://oss.oracle.com/pipermail/el-errata/2016-November/006467.html

Plugin Details

Severity: High

ID: 94701

File Name: oraclelinux_ELSA-2016-2579.nasl

Version: 2.4

Type: local

Agent: unix

Published: 2016/11/11

Updated: 2019/09/27

Dependencies: 12634

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 6.9

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 7.8

Temporal Score: 6.8

Vector: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:/a:oracle:linux:autocorr-af, p-cpe:/a:oracle:linux:autocorr-bg, p-cpe:/a:oracle:linux:autocorr-ca, p-cpe:/a:oracle:linux:autocorr-cs, p-cpe:/a:oracle:linux:autocorr-da, p-cpe:/a:oracle:linux:autocorr-de, p-cpe:/a:oracle:linux:autocorr-en, p-cpe:/a:oracle:linux:autocorr-es, p-cpe:/a:oracle:linux:autocorr-fa, p-cpe:/a:oracle:linux:autocorr-fi, p-cpe:/a:oracle:linux:autocorr-fr, p-cpe:/a:oracle:linux:autocorr-ga, p-cpe:/a:oracle:linux:autocorr-hr, p-cpe:/a:oracle:linux:autocorr-hu, p-cpe:/a:oracle:linux:autocorr-is, p-cpe:/a:oracle:linux:autocorr-it, p-cpe:/a:oracle:linux:autocorr-ja, p-cpe:/a:oracle:linux:autocorr-ko, p-cpe:/a:oracle:linux:autocorr-lb, p-cpe:/a:oracle:linux:autocorr-lt, p-cpe:/a:oracle:linux:autocorr-mn, p-cpe:/a:oracle:linux:autocorr-nl, p-cpe:/a:oracle:linux:autocorr-pl, p-cpe:/a:oracle:linux:autocorr-pt, p-cpe:/a:oracle:linux:autocorr-ro, p-cpe:/a:oracle:linux:autocorr-ru, p-cpe:/a:oracle:linux:autocorr-sk, p-cpe:/a:oracle:linux:autocorr-sl, p-cpe:/a:oracle:linux:autocorr-sr, p-cpe:/a:oracle:linux:autocorr-sv, p-cpe:/a:oracle:linux:autocorr-tr, p-cpe:/a:oracle:linux:autocorr-vi, p-cpe:/a:oracle:linux:autocorr-zh, p-cpe:/a:oracle:linux:libcmis, p-cpe:/a:oracle:linux:libcmis-devel, p-cpe:/a:oracle:linux:libcmis-tools, p-cpe:/a:oracle:linux:libpagemaker, p-cpe:/a:oracle:linux:libpagemaker-devel, p-cpe:/a:oracle:linux:libpagemaker-doc, p-cpe:/a:oracle:linux:libpagemaker-tools, p-cpe:/a:oracle:linux:libreoffice, p-cpe:/a:oracle:linux:libreoffice-base, p-cpe:/a:oracle:linux:libreoffice-bsh, p-cpe:/a:oracle:linux:libreoffice-calc, p-cpe:/a:oracle:linux:libreoffice-core, p-cpe:/a:oracle:linux:libreoffice-draw, p-cpe:/a:oracle:linux:libreoffice-emailmerge, p-cpe:/a:oracle:linux:libreoffice-filters, p-cpe:/a:oracle:linux:libreoffice-gdb-debug-support, p-cpe:/a:oracle:linux:libreoffice-glade, p-cpe:/a:oracle:linux:libreoffice-graphicfilter, p-cpe:/a:oracle:linux:libreoffice-impress, p-cpe:/a:oracle:linux:libreoffice-langpack-af, p-cpe:/a:oracle:linux:libreoffice-langpack-ar, p-cpe:/a:oracle:linux:libreoffice-langpack-as, p-cpe:/a:oracle:linux:libreoffice-langpack-bg, p-cpe:/a:oracle:linux:libreoffice-langpack-bn, p-cpe:/a:oracle:linux:libreoffice-langpack-br, p-cpe:/a:oracle:linux:libreoffice-langpack-ca, p-cpe:/a:oracle:linux:libreoffice-langpack-cs, p-cpe:/a:oracle:linux:libreoffice-langpack-cy, p-cpe:/a:oracle:linux:libreoffice-langpack-da, p-cpe:/a:oracle:linux:libreoffice-langpack-de, p-cpe:/a:oracle:linux:libreoffice-langpack-dz, p-cpe:/a:oracle:linux:libreoffice-langpack-el, p-cpe:/a:oracle:linux:libreoffice-langpack-en, p-cpe:/a:oracle:linux:libreoffice-langpack-es, p-cpe:/a:oracle:linux:libreoffice-langpack-et, p-cpe:/a:oracle:linux:libreoffice-langpack-eu, p-cpe:/a:oracle:linux:libreoffice-langpack-fa, p-cpe:/a:oracle:linux:libreoffice-langpack-fi, p-cpe:/a:oracle:linux:libreoffice-langpack-fr, p-cpe:/a:oracle:linux:libreoffice-langpack-ga, p-cpe:/a:oracle:linux:libreoffice-langpack-gl, p-cpe:/a:oracle:linux:libreoffice-langpack-gu, p-cpe:/a:oracle:linux:libreoffice-langpack-he, p-cpe:/a:oracle:linux:libreoffice-langpack-hi, p-cpe:/a:oracle:linux:libreoffice-langpack-hr, p-cpe:/a:oracle:linux:libreoffice-langpack-hu, p-cpe:/a:oracle:linux:libreoffice-langpack-it, p-cpe:/a:oracle:linux:libreoffice-langpack-ja, p-cpe:/a:oracle:linux:libreoffice-langpack-kk, p-cpe:/a:oracle:linux:libreoffice-langpack-kn, p-cpe:/a:oracle:linux:libreoffice-langpack-ko, p-cpe:/a:oracle:linux:libreoffice-langpack-lt, p-cpe:/a:oracle:linux:libreoffice-langpack-lv, p-cpe:/a:oracle:linux:libreoffice-langpack-mai, p-cpe:/a:oracle:linux:libreoffice-langpack-ml, p-cpe:/a:oracle:linux:libreoffice-langpack-mr, p-cpe:/a:oracle:linux:libreoffice-langpack-nb, p-cpe:/a:oracle:linux:libreoffice-langpack-nl, p-cpe:/a:oracle:linux:libreoffice-langpack-nn, p-cpe:/a:oracle:linux:libreoffice-langpack-nr, p-cpe:/a:oracle:linux:libreoffice-langpack-nso, p-cpe:/a:oracle:linux:libreoffice-langpack-or, p-cpe:/a:oracle:linux:libreoffice-langpack-pa, p-cpe:/a:oracle:linux:libreoffice-langpack-pl, p-cpe:/a:oracle:linux:libreoffice-langpack-pt-BR, p-cpe:/a:oracle:linux:libreoffice-langpack-pt-PT, p-cpe:/a:oracle:linux:libreoffice-langpack-ro, p-cpe:/a:oracle:linux:libreoffice-langpack-ru, p-cpe:/a:oracle:linux:libreoffice-langpack-si, p-cpe:/a:oracle:linux:libreoffice-langpack-sk, p-cpe:/a:oracle:linux:libreoffice-langpack-sl, p-cpe:/a:oracle:linux:libreoffice-langpack-sr, p-cpe:/a:oracle:linux:libreoffice-langpack-ss, p-cpe:/a:oracle:linux:libreoffice-langpack-st, p-cpe:/a:oracle:linux:libreoffice-langpack-sv, p-cpe:/a:oracle:linux:libreoffice-langpack-ta, p-cpe:/a:oracle:linux:libreoffice-langpack-te, p-cpe:/a:oracle:linux:libreoffice-langpack-th, p-cpe:/a:oracle:linux:libreoffice-langpack-tn, p-cpe:/a:oracle:linux:libreoffice-langpack-tr, p-cpe:/a:oracle:linux:libreoffice-langpack-ts, p-cpe:/a:oracle:linux:libreoffice-langpack-uk, p-cpe:/a:oracle:linux:libreoffice-langpack-ve, p-cpe:/a:oracle:linux:libreoffice-langpack-xh, p-cpe:/a:oracle:linux:libreoffice-langpack-zh-Hans, p-cpe:/a:oracle:linux:libreoffice-langpack-zh-Hant, p-cpe:/a:oracle:linux:libreoffice-langpack-zu, p-cpe:/a:oracle:linux:libreoffice-librelogo, p-cpe:/a:oracle:linux:libreoffice-math, p-cpe:/a:oracle:linux:libreoffice-nlpsolver, p-cpe:/a:oracle:linux:libreoffice-officebean, p-cpe:/a:oracle:linux:libreoffice-ogltrans, p-cpe:/a:oracle:linux:libreoffice-opensymbol-fonts, p-cpe:/a:oracle:linux:libreoffice-pdfimport, p-cpe:/a:oracle:linux:libreoffice-postgresql, p-cpe:/a:oracle:linux:libreoffice-pyuno, p-cpe:/a:oracle:linux:libreoffice-rhino, p-cpe:/a:oracle:linux:libreoffice-sdk, p-cpe:/a:oracle:linux:libreoffice-sdk-doc, p-cpe:/a:oracle:linux:libreoffice-ure, p-cpe:/a:oracle:linux:libreoffice-wiki-publisher, p-cpe:/a:oracle:linux:libreoffice-writer, p-cpe:/a:oracle:linux:libreoffice-xsltfilter, p-cpe:/a:oracle:linux:mdds-devel, cpe:/o:oracle:linux:7

Required KB Items: Host/local_checks_enabled, Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2016/11/10

Vulnerability Publication Date: 2016/02/18

Reference Information

CVE: CVE-2016-0794, CVE-2016-0795

RHSA: 2016:2579